# PhasicFlow: src/setHelpers/setPointStructure.hpp File Reference

setPointStructure.hpp File Reference

Go to the source code of this file.

## Variables

auto & | pStruct

## Variable Documentation

## pStruct

auto& pStruct

Initial value:
= Control().time().emplaceObject<pointStructure>(
objectFile(
pointStructureFile__,
"",
objectFile::READ_ALWAYS,
objectFile::WRITE_ALWAYS
)
)

Definition at line 24 of file setPointStructure.hpp.

Referenced by pFlow::applySelector(), pFlow::PFtoVTK::convertIntTypesPointField(), pFlow::PFtoVTK::convertRealTypePointField(), pFlow::PFtoVTK::convertRealx3TypePointField(), pFlow::PFtoVTK::convertTimeFolderPointFields(), pFlow::PFtoVTK::convertTimeFolderPointFieldsSelected(), AdamsBashforth2::correct(), AdamsMoulton3::correct(), AdamsMoulton4::correct(), AdamsMoulton5::correct(), AdamsBashforth3::correct(), AdamsBashforth5::correct(), dynamicPointStructure::correct(), AdamsBashforth4::correct(), pStructSelector::create(), readFromTimeFolder::createUniformPointField_H(), dynamicPointStructure::dynamicPointStructure(), sphereParticles::insertParticles(), sphereParticles::iterate(), main(), particles::particles(), AdamsMoulton3::predict(), AdamsMoulton4::predict(), AdamsMoulton5::predict(), dynamicPointStructure::predict(), readFromTimeFolder::readPointField_D(), readFromTimeFolder::readPointField_H(), selectRandom::selectRandom(), selectRange::selectRange(), setFieldEntry::setPointFieldDefaultValueNew(), setFieldEntry::setPointFieldDefaultValueNewAll(), setFieldEntry::setPointFieldDefaultValueStdNew(), pointField< T >::update(), and sphereParticles::update().

pFlow::pointStructureFile__
const char * pointStructureFile__
Definition: vocabs.hpp:42
Control
auto & Control
Definition: initialize_Control.hpp:47